获取实例的证书授权机构的相关详细信息。
HTTP 请求
:
GET https://memorystore.googleapis.com/v1/{name=projects/*/locations/*/instances/*}/certificateAuthority 网址使用 gRPC 转码语法。
路径参数
| 参数 | |
|---|---|
name |
必需。证书授权机构的名称。格式:projects/{project}/locations/{location}/instances/{instance}/certificateAuthority |
请求正文
请求正文必须为空。
响应正文
实例的证书授权机构。
如果成功,响应正文将包含结构如下的数据:
| JSON 表示法 |
|---|
{
"name": string,
// The following is a list of mutually exclusive fields. At most one of the
// fields will be set in a response:
"managedServerCa": {
object ( |
| 字段 | |
|---|---|
name |
标识符。证书授权机构的唯一名称。格式:projects/{project}/locations/{location}/instances/{instance} |
| 服务器证书授权机构的相关信息。以下是互斥字段的列表。在响应中,最多只能设置以下字段之一: | |
managedServerCa |
受管理的服务器证书授权机构。 |
| 互斥字段的结束。 | |
授权范围
需要以下 OAuth 范围之一:
https://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/memorystore.read-writehttps://www.googleapis.com/auth/memorystore.read-only
IAM 权限
需要拥有 name 资源的以下 IAM 权限:
memorystore.instances.get
如需了解详情,请参阅 IAM 文档。
ManagedCertificateAuthority
受管理的证书授权机构。
| JSON 表示法 |
|---|
{
"caCerts": [
{
object ( |
| 字段 | |
|---|---|
caCerts[] |
用于受管服务器身份验证的 PEM 编码的 CA 证书链。 |
CertChain
证书链。
| JSON 表示法 |
|---|
{ "certificates": [ string ] } |
| 字段 | |
|---|---|
certificates[] |
按从叶到根的顺序构成 CA 链的证书。 |